precision mediump float;

uniform sampler2D texture;

varying vec2 pass_TexCoords;

void main() {

    gl_FragColor = texture2D(texture, pass_TexCoords);
    gl_FragColor.rgb = gl_FragColor.rgb / gl_FragColor.a;

}